> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invia la store window ATB

> Acquisisce un batch di voci di log di traffico e le aggrega in statistiche suddivise per intervalli temporali.



## OpenAPI

````yaml post /api/v1/atb/{id}/store-window/
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb/{id}/store-window/:
    post:
      tags:
        - atb
      summary: Post ATB store window
      description: >-
        Ingest a batch of traffic log entries and aggregate them into
        time-bucketed statistics.
      operationId: atb_store_window_create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ATBStoreWindowTrafficLogs'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ATBStoreWindowTrafficLogs'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ATBStoreWindowTrafficLogs'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      logs_processed:
                        type: integer
                      start_ts:
                        type: number
                        nullable: true
                      end_ts:
                        type: number
                        nullable: true
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  schemas:
    ATBStoreWindowTrafficLogs:
      type: object
      properties:
        date:
          type: number
          format: double
          description: Timestamp of the log batch.
        start_ts:
          type: number
          format: double
          description: Start timestamp of the window.
        end_ts:
          type: number
          format: double
          description: End timestamp of the window.
        total_requests:
          type: integer
          description: Total number of requests in this window.
        malicious_requests:
          type: integer
          description: Number of malicious requests detected.
        log_messages:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: >-
            Array of traffic log entries with src_ip, dst_ip, action, timestamp,
            traffic_direction, src_port, dst_port, fw_rule, malicious fields.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````